=== debian/changelog ===
libffado (2.0.99+svn1949-1) experimental; urgency=low

  * Imported Upstream version 2.0.99+svn1949
  * Fixed MIDI channel detection on Echo AudioFire series
  * Added support for Mackie Onyx i-Series

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 24 Jan 2011 11:26:14 +0100

libffado (2.0.99+svn1924-1) experimental; urgency=low

  * Imported Upstream version 2.0.99+svn1924
  * Use system-wide libdbus-c++ and libconfig++8

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 22 Nov 2010 17:55:07 +0100

libffado (2.0.1+svn1856-6) unstable; urgency=low

  * Provide new command ffado-debug.
  * Include ffado-debug and the corresponding debug-enabled lib in
    libffado2.
  * Compile libffado2 w/ and w/o debugging code. (Closes: #601657)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 01 Nov 2010 10:11:27 +0100
