## libffado 2.0.99+svn1985

=== SConstruct ===
--- 
+++ 
@@ -57,6 +57,7 @@
     BoolVariable( "ENABLE_DICE", "Enable/Disable support for the TCAT DICE platform.", True ),
     BoolVariable( "ENABLE_METRIC_HALO", "Enable/Disable support for the Metric Halo platform.", False ),
     BoolVariable( "ENABLE_RME", "Enable/Disable support for the RME platform.", False ),
+    BoolVariable( "ENABLE_DIGIDESIGN", "Enable/Disable support for Digidesign interfaces.", False ),
     BoolVariable( "ENABLE_MAUDIO", "Enable/Disable support for the M-Audio custom BeBoB devices.", False ),
     BoolVariable( "ENABLE_BOUNCE", "Enable/Disable the BOUNCE device.", False ),
     BoolVariable( "ENABLE_GENERICAVC", """\
@@ -304,4 +305,3 @@
 be built.
 """
 else:
-    # Get the directory where dbus stores the service-files
