=== debian/changelog ===
libffado (2.0.99+svn1985-2ubuntu2) oneiric; urgency=low

  * Fix crash when starting jack2 (LP: #869420)

 -- David Henningsson <david.henningsson@canonical.com>  Mon, 10 Oct 2011 06:42:14 +0200

libffado (2.0.99+svn1985-2ubuntu1) oneiric; urgency=low

  * Ignore the results of the compiler check. Fails on the powerpc buildd.
  * Don't build using ld.gold on powerpc.
  * Build for armel and armhf. LP: #332528.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Oct 2011 12:13:47 +0200

libffado (2.0.99+svn1985-2) unstable; urgency=low

  * Build-depend on binutils-gold (Closes: #628805)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 02 Jun 2011 21:02:39 +0200

libffado (2.0.99+svn1985-1) unstable; urgency=low

  * Imported Upstream version 2.0.99+svn1985 (Closes: #601659)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 31 May 2011 17:27:58 +0200

libffado (2.0.99+svn1968-1) unstable; urgency=low

  * Imported Upstream version 2.0.99+svn1968 (Closes: #601660 #601661)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 02 Apr 2011 13:50:58 +0200
