=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libffado
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Free Ekanayaka <freee@debian.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: autotools-dev,
- cdbs (>= 0.4.53),
+ cdbs (>= 0.4.85~),
  debhelper (>= 7.0.1),
  dh-buildinfo,
  scons,
@@ -25,8 +26,9 @@
  python-qt4-dbus,
  libconfig++8-dev,
  libdbus-c++-dev,
+ binutils-gold [!powerpc],
  quilt
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
 XS-Python-Version: all
 Section: libs
@@ -36,7 +38,7 @@
 
 Package: libffado-dev
 Section: libdevel
-Architecture: i386 amd64 powerpc
+Architecture: i386 amd64 powerpc armel armhf
 Depends: libffado2 (= ${binary:Version}),
   ${misc:Depends},
  libxml2-dev,
@@ -51,7 +53,7 @@
 
 Package: libffado2
 Section: libs
-Architecture: i386 amd64 powerpc
+Architecture: i386 amd64 powerpc armel armhf
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Description: FFADO API
@@ -64,7 +66,7 @@
 
 Package: ffado-tools
 Section: sound
-Architecture: i386 amd64 powerpc
+Architecture: i386 amd64 powerpc armel armhf
 Depends: libffado2 (= ${binary:Version}),
  dbus (>= 1.0.0),
  python,
@@ -90,7 +92,7 @@
 
 Package: ffado-dbus-server
 Section: sound
-Architecture: i386 amd64 powerpc
+Architecture: i386 amd64 powerpc armel armhf
 Depends: libffado2 (= ${binary:Version}),
  dbus (>= 1.0.0),
  ${misc:Depends},
