## libffado 2.0.99+svn1995

=== debian/changelog ===
libffado (2.0.99+svn1995-3) unstable; urgency=low

  * Drop binutils-golds dependency (Closes: #644529)
  * Add armel and armhf to architecture list

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 06 Oct 2011 21:31:58 +0200

libffado (2.0.99+svn1995-2) unstable; urgency=low

  * Experimental fix for segfault upon termination (Closes: #643024)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 05 Oct 2011 20:25:52 +0200

libffado (2.0.99+svn1995-1) unstable; urgency=low

  * Imported Upstream version 2.0.99+svn1995
  * Fix shutdown segfault (due to race condition) on Juju stack

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 24 Sep 2011 18:47:56 +0200
