## libffado 2.0.99+svn2019

=== debian/changelog ===
libffado (2.0.99+svn2019-1ubuntu4) quantal-proposed; urgency=low

  * Fix build failure, link test cases with -lpthread.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Sep 2012 13:18:28 +0200

libffado (2.0.99+svn2019-1ubuntu3) quantal; urgency=low

  * patches/fix-ftbfs-gcc4.7.diff: Fix build failure with gcc-4.7

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 11 Jun 2012 19:28:12 -0600

libffado (2.0.99+svn2019-1ubuntu2) quantal; urgency=low

  * No-change rebuild for the libconfig transition

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 11 Jun 2012 17:25:46 -0600

libffado (2.0.99+svn2019-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Ignore the results of the compiler check. Fails on the powerpc buildd.
    - Don't build using ld.gold on powerpc.
    - Build for armel and armhf. LP: #332528.
    - Build using dh_python2

 -- Artem Popov <artfwo@ubuntu.com>  Sat, 11 Feb 2012 15:13:05 +0700

libffado (2.0.99+svn2019-1) unstable; urgency=low

  * Imported Upstream version 2.0.99+svn2019
  * Really fix segfault upon termination

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 19 Jan 2012 19:06:44 +0100

libffado (2.0.99+svn1985-2ubuntu3) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 12:41:26 +0000
