## libffado 2.0.99+svn2171

=== SConstruct ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 # Copyright (C) 2007, 2008, 2010 Arnold Krille
 # Copyright (C) 2007, 2008 Pieter Palmers
-# Copyright (C) 2008 Jonathan Woithe
+# Copyright (C) 2008, 2012 Jonathan Woithe
 #
 # This file is part of FFADO
 # FFADO = Free Firewire (pro-)audio drivers for linux
@@ -24,7 +24,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
-FFADO_API_VERSION = "8"
+FFADO_API_VERSION = "9"
 FFADO_VERSION="2.999.0"
 
 import os
@@ -48,15 +48,17 @@
     PathVariable( "LIBDIR", "Overwrite the directory where libs are installed to.", "$PREFIX/lib", PathVariable.PathAccept ),
     PathVariable( "INCLUDEDIR", "Overwrite the directory where headers are installed to.", "$PREFIX/include", PathVariable.PathAccept ),
     PathVariable( "SHAREDIR", "Overwrite the directory where misc shared files are installed to.", "$PREFIX/share/libffado", PathVariable.PathAccept ),
+    PathVariable( "MANDIR", "Overwrite the directory where manpages are installed", "$PREFIX/man", PathVariable.PathAccept ),
     PathVariable( "PYPKGDIR", "The directory where the python modules get installed.",
         distutils.sysconfig.get_python_lib( prefix="$PREFIX" ), PathVariable.PathAccept ),
+    PathVariable( "UDEVDIR", "Overwrite the directory where udev rules are installed to.", "/lib/udev/rules.d/", PathVariable.PathAccept ),
     BoolVariable( "ENABLE_BEBOB", "Enable/Disable support for the BeBoB platform.", True ),
     BoolVariable( "ENABLE_FIREWORKS", "Enable/Disable support for the ECHO Audio FireWorks platform.", True ),
     BoolVariable( "ENABLE_OXFORD", "Enable/Disable support for the Oxford Semiconductor FW platform.", True ),
     BoolVariable( "ENABLE_MOTU", "Enable/Disable support for the MOTU platform.", True ),
     BoolVariable( "ENABLE_DICE", "Enable/Disable support for the TCAT DICE platform.", True ),
     BoolVariable( "ENABLE_METRIC_HALO", "Enable/Disable support for the Metric Halo platform.", False ),
-    BoolVariable( "ENABLE_RME", "Enable/Disable support for the RME platform.", False ),
+    BoolVariable( "ENABLE_RME", "Enable/Disable support for the RME platform.", True ),
     BoolVariable( "ENABLE_DIGIDESIGN", "Enable/Disable support for Digidesign interfaces.", False ),
     BoolVariable( "ENABLE_MAUDIO", "Enable/Disable support for the M-Audio custom BeBoB devices.", False ),
     BoolVariable( "ENABLE_BOUNCE", "Enable/Disable the BOUNCE device.", False ),
@@ -76,6 +78,7 @@
     BoolVariable( "ENABLE_OPTIMIZATIONS", "Enable optimizations and the use of processor specific extentions (MMX/SSE/...).", False ),
     BoolVariable( "PEDANTIC", "Enable -Werror and more pedantic options during compile.", False ),
     ( "COMPILE_FLAGS", "Add additional flags to the environment.\nOnly meant for distributors and gentoo-users who want to over-optimize their built.\n Using this is not supported by the ffado-devs!" ),
+    EnumVariable( "ENABLE_SETBUFFERSIZE_API_VER", "Report API version at runtime which includes support for dynamic buffer resizing (requires recent jack).", 'auto', allowed_values=('auto', 'true', 'false', 'force'), ignorecase=2),
 
     )
 
@@ -157,11 +160,18 @@
     context.Result( ret )
     return ret
 
+def CheckPKG(context, name):
+    context.Message( 'Checking for %s... ' % name )
+    ret = context.TryAction('pkg-config --exists \'%s\'' % name)[0]
+    context.Result( ret )
+    return ret
+
 tests = {
     "ConfigGuess" : ConfigGuess,
     "CheckForApp" : CheckForApp,
     "CheckForPyModule": CheckForPyModule,
     "CompilerCheck" : CompilerCheck,
+    "CheckPKG" : CheckPKG,
 }
 tests.update( env['PKGCONFIG_TESTS'] )
 tests.update( env['PYUIC_TESTS'] )
@@ -215,6 +225,49 @@
 
     if not env['SERIALIZE_USE_EXPAT']:
         pkgs['libxml++-2.6'] = '2.13.0'
+
+    # Provide a way for users to compile newer libffado which will work 
+    # against older jack installations which will not accept the new API
+    # version reported at runtime.
+    have_jack = conf.CheckPKG('jack >= 0.0.0')
+    good_jack1 = conf.CheckPKG('jack < 1.9.0') and conf.CheckPKG('jack >= 0.122.0')
+    good_jack2 = conf.CheckPKG('jack >= 1.9.9')
+    if env['ENABLE_SETBUFFERSIZE_API_VER'] == 'auto':
+        if not(have_jack):
+            print """
+No jack installed: assuming a FFADO setbuffersize-compatible version will be
+used.
+"""
+        elif not(good_jack1 or good_jack2):
+            FFADO_API_VERSION="8"
+            print """
+Installed jack does not support FFADO setbuffersize API: will report earlier
+API version at runtime.  Consider upgrading to jack1 >=0.122.0 or 
+jack2 >=1.9.9 at some point, and then recompile ffado to gain access to this
+added feature.
+"""
+        else:
+            print "Installed jack supports FFADO setbuffersize API"
+    elif env['ENABLE_SETBUFFERSIZE_API_VER'] == 'true':
+        if (have_jack and not(good_jack1) and not(good_jack2)):
+            print """
+SetBufferSize API version is enabled but no suitable version of jack has been
+found.  The resulting FFADO would cause your jackd to abort with "incompatible
+FFADO version".  Please upgrade to jack1 >=0.122.0 or jack2 >=1.9.9, or set
+ENABLE_SETBUFFERSIZE_API_VER to "auto" or "false".
+"""
+            # Although it's not strictly an error, in almost every case that 
+            # this occurs the user will want to know about it and fix the
+            # problem, so we exit so they're guaranteed of seeing the above
+            # message.
+            Exit( 1 )
+        else:
+            print "Will report SetBufferSize API version at runtime"
+    elif env['ENABLE_SETBUFFERSIZE_API_VER'] == 'force':
+        print "Will report SetBufferSize API version at runtime"
+    else:
+        FFADO_API_VERSION="8"
+        print "Will not report SetBufferSize API version at runtime"
 
     for pkg in pkgs:
         name2 = pkg.replace("+","").replace(".","").replace("-","").upper()
@@ -223,85 +276,3 @@
         if env['%s_FLAGS'%name2] == 0:
             allpresent &= 0
 
-    if not allpresent:
-        print """
-(At least) One of the dependencies is missing. I can't go on without it, please
-install the needed packages for each of the lines saying "no".
-(Remember to also install the *-devel packages!)
-
-And remember to remove the cache with "rm -Rf .sconsign.dblite cache" so the
-results above get rechecked.
-"""
-        Exit( 1 )
-
-    # Check for C99 lrint() and lrintf() functions used to convert from
-    # float to integer more efficiently via float_cast.h.  If not
-    # present the standard slower methods will be used instead.  This
-    # might not be the best way of testing for these but it's the only
-    # way which seems to work properly.  CheckFunc() fails due to
-    # argument count problems.
-    if env.has_key( 'CFLAGS' ):
-        oldcf = env['CFLAGS']
-    else:
-        oldcf = ""
-    oldcf = env.Append(CFLAGS = '-std=c99')
-    if conf.CheckLibWithHeader( "m", "math.h", "c", "lrint(3.2);" ):
-        HAVE_LRINT = 1
-    else:
-        HAVE_LRINT = 0
-    if conf.CheckLibWithHeader( "m", "math.h", "c", "lrintf(3.2);" ):
-        HAVE_LRINTF = 1
-    else:
-        HAVE_LRINTF = 0
-    env['HAVE_LRINT'] = HAVE_LRINT;
-    env['HAVE_LRINTF'] = HAVE_LRINTF;
-    env.Replace(CFLAGS=oldcf)
-
-#
-# Optional checks follow:
-#
-
-# PyQT checks
-build_mixer = False
-if conf.CheckForApp( 'which pyuic4' ) and conf.CheckForPyModule( 'dbus' ) and conf.CheckForPyModule( 'PyQt4' ) and conf.CheckForPyModule( 'dbus.mainloop.qt' ):
-    env['PYUIC4'] = True
-    build_mixer = True
-
-if conf.CheckForApp( 'xdg-desktop-menu --help' ):
-    env['XDG_TOOLS'] = True
-else:
-    print """
-I couldn't find the program 'xdg-desktop-menu'. Together with xdg-icon-resource
-this is needed to add the fancy entry to your menu. But if the mixer will be
-installed, you can start it by executing "ffado-mixer".
-"""
-
-if not build_mixer and not env.GetOption('clean'):
-    print """
-I couldn't find all the prerequisites ('pyuic4' and the python-modules 'dbus'
-and 'PyQt4', the packages could be named like dbus-python and PyQt) to build the
-mixer.
-Therefor the qt4 mixer will not get installed.
-"""
-
-#
-# Optional pkg-config
-#
-pkgs = {
-    'alsa': '0',
-    'dbus-1': '1.0',
-    'dbus-c++-1' : '0',
-    }
-for pkg in pkgs:
-    name2 = pkg.replace("+","").replace(".","").replace("-","").upper()
-    env['%s_FLAGS' % name2] = conf.GetPKGFlags( pkg, pkgs[pkg] )
-
-if not env['DBUS1_FLAGS'] or not env['DBUSC1_FLAGS'] or not conf.CheckForApp('which dbusxx-xml2cpp'):
-    env['DBUS1_FLAGS'] = ""
-    env['DBUSC1_FLAGS'] = ""
-    print """
-One of the dbus-headers, the dbus-c++-headers and/or the application
-'dbusxx-xml2cpp' where not found. The dbus-server for ffado will therefore not
-be built.
-"""
-else:
