=== debian/changelog ===
libffado (2.0.99+svn2171-2) unstable; urgency=low

  * Add patch to downgrade the codebase to r2166 (Closes: #620427)
  * Add fix for FTBFS on Big Endian machines

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 28 Jun 2012 16:09:34 +0200

libffado (2.0.99+svn2171-1) unstable; urgency=low

  * Imported Upstream version 2.0.99+svn2171 (Closes: #678347 #620427)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sun, 24 Jun 2012 12:58:18 +0200

libffado (2.0.99+svn2163-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Build-depend explicitly on libdbus-c++-bin.
    See bug#674311 (comment#15). Thanks to Vincent Cheng.
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Really let libffado Break too old jackd{1,2}-firewire.
    Closes: bug#670985.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 18 Jun 2012 18:00:00 +0200

libffado (2.0.99+svn2163-1) unstable; urgency=low

  * Ship upstream udev file
  * Let libffado Break too old jackd{1,2}-firewire (Closes: #670985)
  * Imported Upstream version 2.0.99+svn2163

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sun, 10 Jun 2012 19:50:45 +0200

libffado (2.0.99+svn2124-1) unstable; urgency=low

  * Build-depend on libconfig++-dev (Closes: #661407)
  * Imported Upstream version r2124 (supports buffersize changes)
  * Drop exitcrash.patch
  * Drop gcc-4.7 fix

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 18 Apr 2012 22:57:33 +0200

libffado (2.0.99+svn2019-2) unstable; urgency=low

  * Team upload.
  * Fix build failure with GCC 4.7. Thanks to Matthias Klose
    for the report and patch. (Closes: #667245)
  * Drop quilt from Build-Depends.
  * Fix lintian warning binary-control-field-duplicates-source.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 17 Apr 2012 09:09:42 +0200
