## libffado 2.1.0+svn2240

=== SConstruct ===
--- 
+++ 
@@ -25,8 +25,9 @@
 #
 
 FFADO_API_VERSION = "9"
-FFADO_VERSION="2.999.0"
-
+FFADO_VERSION="2.1.9999"
+
+from subprocess import Popen, PIPE
 import os
 import re
 from string import Template
@@ -182,6 +183,27 @@
     conf_dir = "cache/",
     log_file = 'cache/config.log' )
 
+version_re = re.compile(r'^(\d+)\.(\d+)\.(\d+)')
+
+def VersionInt(vers):
+    match = version_re.match(vers)
+    if not match:
+        return -1
+    (maj, min, patch) = match.group(1, 2, 3)
+    # For now allow "min" to run up to 65535.  "maj" and "patch" are 
+    # restricted to 0-255.
+    return (int(maj) << 24) | (int(min) << 8) | int(patch)
+
+def CheckJackdVer():
+    print 'Checking jackd version...',
+    ret = Popen("which jackd >/dev/null 2>&1 && jackd --version | cut -d ' ' -f 3", shell=True, stdout=PIPE).stdout.read()[:-1]
+    if (ret == ""):
+        print "not installed"
+        return -1
+    else:
+        print ret
+    return VersionInt(ret)
+
 if env['SERIALIZE_USE_EXPAT']:
     env['SERIALIZE_USE_EXPAT']=1
 else:
@@ -215,7 +237,7 @@
         allpresent &= conf.CheckLib( 'expat', 'XML_ExpatVersion', '#include <expat.h>' )
 
     pkgs = {
-        'libraw1394' : '1.3.0',
+        'libraw1394' : '2.0.5',
         'libiec61883' : '1.1.0',
         'libconfig++' : '0'
         }
@@ -229,50 +251,29 @@
     # Provide a way for users to compile newer libffado which will work 
     # against older jack installations which will not accept the new API
     # version reported at runtime.
-    have_jack = conf.CheckPKG('jack >= 0.0.0')
-    good_jack1 = conf.CheckPKG('jack < 1.9.0') and conf.CheckPKG('jack >= 0.122.0')
-    good_jack2 = conf.CheckPKG('jack >= 1.9.9')
+    jackd_ver = CheckJackdVer()
+    if (jackd_ver != -1):
+        # If jackd is available, use the version number reported by it.  This
+        # means users don't have to have jack development files present on
+        # their system for this to work.
+        have_jack = (jackd_ver >= VersionInt('0.0.0'))
+        good_jack1 = (jackd_ver < VersionInt('1.9.0')) and (jackd_ver >= VersionInt('0.122.0'))
+        good_jack2 = (jackd_ver >= VersionInt('1.9.9'))
+    else:
+        # Jackd is not runnable.  Attempt to identify a version from
+        # pkgconfig on the off-chance jack details are available from there.
+        print "Will retry jack detection using pkg-config"
+        have_jack = conf.CheckPKG('jack >= 0.0.0')
+        good_jack1 = conf.CheckPKG('jack < 1.9.0') and conf.CheckPKG('jack >= 0.122.0')
+        good_jack2 = conf.CheckPKG('jack >= 1.9.9')
     if env['ENABLE_SETBUFFERSIZE_API_VER'] == 'auto':
         if not(have_jack):
             print """
-No jack installed: assuming a FFADO setbuffersize-compatible version will be
-used.
+No Jack Audio Connection Kit (JACK) installed: assuming a FFADO 
+setbuffersize-compatible version will be used.
 """
         elif not(good_jack1 or good_jack2):
             FFADO_API_VERSION="8"
             print """
-Installed jack does not support FFADO setbuffersize API: will report earlier
-API version at runtime.  Consider upgrading to jack1 >=0.122.0 or 
-jack2 >=1.9.9 at some point, and then recompile ffado to gain access to this
-added feature.
-"""
-        else:
-            print "Installed jack supports FFADO setbuffersize API"
-    elif env['ENABLE_SETBUFFERSIZE_API_VER'] == 'true':
-        if (have_jack and not(good_jack1) and not(good_jack2)):
-            print """
-SetBufferSize API version is enabled but no suitable version of jack has been
-found.  The resulting FFADO would cause your jackd to abort with "incompatible
-FFADO version".  Please upgrade to jack1 >=0.122.0 or jack2 >=1.9.9, or set
-ENABLE_SETBUFFERSIZE_API_VER to "auto" or "false".
-"""
-            # Although it's not strictly an error, in almost every case that 
-            # this occurs the user will want to know about it and fix the
-            # problem, so we exit so they're guaranteed of seeing the above
-            # message.
-            Exit( 1 )
-        else:
-            print "Will report SetBufferSize API version at runtime"
-    elif env['ENABLE_SETBUFFERSIZE_API_VER'] == 'force':
-        print "Will report SetBufferSize API version at runtime"
-    else:
-        FFADO_API_VERSION="8"
-        print "Will not report SetBufferSize API version at runtime"
-
-    for pkg in pkgs:
-        name2 = pkg.replace("+","").replace(".","").replace("-","").upper()
-        env['%s_FLAGS' % name2] = conf.GetPKGFlags( pkg, pkgs[pkg] )
-        #print '%s_FLAGS' % name2
-        if env['%s_FLAGS'%name2] == 0:
-            allpresent &= 0
-
+Installed Jack Audio Connection Kit (JACK) jack does not support FFADO 
+setbuffersize API: will report earlier API version at runtime.  Consider
