=== debian/changelog ===
libffado (2.1.0+svn2240-1ubuntu3) trusty; urgency=low

  * Build on all linux architectures.
  * Update config.guess for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2013 16:07:01 +0200

libffado (2.1.0+svn2240-1ubuntu2) raring; urgency=low

  * Fix FTBFS on powerpc (LP: #1110187).

 -- Artem Popov <artfwo@ubuntu.com>  Wed, 30 Jan 2013 16:03:50 +0700

libffado (2.1.0+svn2240-1ubuntu1) raring; urgency=low

  * Merge with Debian (LP: #1105818); remaining changes:
    - Build using dh_python2

 -- Artem Popov <artfwo@ubuntu.com>  Sat, 26 Jan 2013 14:55:38 +0700

libffado (2.1.0+svn2240-1) experimental; urgency=low

  * Imported Upstream version 2.1.0+svn2240
  * Drop all local patches (all integrated upstream)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 04 Oct 2012 18:40:22 +0200

libffado (2.0.99+svn2171-2ubuntu2) raring; urgency=low

  * Skip scanning ffado-mixer-qt4's private dir with dh_python2

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 08 Nov 2012 18:22:32 -0700

libffado (2.0.99+svn2171-2ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 23:42:30 +0100
