=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libffado
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Free Ekanayaka <freee@debian.org>,
@@ -26,7 +27,6 @@
  python-dbus,
  python-qt4,
  python-qt4-dbus,
- python-support,
  scons
 Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
@@ -38,7 +38,7 @@
 
 Package: libffado-dev
 Section: libdevel
-Architecture: amd64 armel armhf i386 powerpc
+Architecture: linux-any
 Depends:
  libffado2 (= ${binary:Version}),
  libxml2-dev,
@@ -53,7 +53,7 @@
  This package holds the development files.
 
 Package: libffado2
-Architecture: amd64 armel armhf i386 powerpc
+Architecture: linux-any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -67,7 +67,7 @@
 
 Package: ffado-tools
 Section: sound
-Architecture: amd64 armel armhf i386 powerpc
+Architecture: linux-any
 Depends:
  dbus (>= 1.0.0),
  libffado2 (= ${binary:Version}),
@@ -98,7 +98,7 @@
 
 Package: ffado-dbus-server
 Section: sound
-Architecture: amd64 armel armhf i386 powerpc
+Architecture: linux-any
 Depends:
  dbus (>= 1.0.0),
  libffado2 (= ${binary:Version}),
