=== debian/rules ===
--- 
+++ 
@@ -82,7 +82,7 @@
 	-rm -rf admin/*.pyc
 
 binary-install/ffado-mixer-qt4::
-	dh_pysupport -pffado-mixer-qt4
+	dh_python2 --skip-private -pffado-mixer-qt4
 
 binary-install/ffado-tools::
-	dh_pysupport -pffado-tools
+	dh_python2 -pffado-tools
